# Class OptionParser.MissingArgumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.thaiopensource.util.OptionParser.MissingArgumentException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `OptionParser`

public static class OptionParser.MissingArgumentException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingArgumentException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingArgumentException

public MissingArgumentException()